%define upstream_name    Gtk2-Unique
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 25

Summary:    Perl bindings for libunique
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: pkgconfig(unique-1.0)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig)
BuildRequires: perl(Gtk2)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Gtk2::Unique is a Perl binding for the C library libunique which provides a
way for writing single instance application. If you launch a single
instance application twice, the second instance will either just quit or
will send a message to the running instance.

For more information about libunique see: the
http://live.gnome.org/LibUnique manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# fix build:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Thu Jun 18 2020 tv <tv> 0.50.0-25.mga8
+ Revision: 1596449
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.50.0-24.mga8
+ Revision: 1529107
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.50.0-23.mga8
+ Revision: 1433089
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-22.mga7
+ Revision: 1293098
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-21.mga7
+ Revision: 1249416
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-20.mga7
+ Revision: 1164680
- rebuild with fixed rpm for missing autodeps

* Sat Sep 02 2017 tv <tv> 0.50.0-19.mga7
+ Revision: 1150618
- BR perl(ExtUtils::PkgConfig)
- BR perl(ExtUtils::Depends)
- rebuild for fixed perl
+ pterjan <pterjan>
- Rebuild for perl ABI changes

* Sat Jul 22 2017 tv <tv> 0.50.0-17.mga7
+ Revision: 1128398
- fix build with perl 5.26
- rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.50.0-14.mga6
+ Revision: 1028137
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-13.mga6
+ Revision: 957455
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.50.0-12.mga6
+ Revision: 844887
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.50.0-11.mga6
+ Revision: 841191
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-10.mga5
+ Revision: 741964
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.50.0-9.mga5
+ Revision: 732237
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-8.mga5
+ Revision: 684918
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-7.mga5
+ Revision: 632461
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-6.mga4
+ Revision: 524630
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-5.mga4
+ Revision: 431218
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-4.mga3
+ Revision: 367950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-3.mga3
+ Revision: 250749
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.50.0-2.mga2
+ Revision: 135835
- rebuild

* Tue Jul 05 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 118805
- imported package perl-Gtk2-Unique

